Subject: bug#8869: Unjustified selection time-out

From: Chong Yidong <[email-masked]>
Date: Mon, 20 Jun 2011 10:57:34 -0400

Jan Djärv <[email-masked]> writes:

> The problem is not calling select with a ong timeout, the problem is
> not checking if there is queued events and handling them before
> entering select.
>
> Checking Emacs as I run it, select is usually enetered with a timeout
> betweeen 10 and 15 seconds, so the potential for this happening is
> great.

But the selection request from the other X client can arrive at any
time, not necessarily before we enter the select.  If the front part of
wait_reading_process_output executes very quickly, we'll enter the
select before a response is ready, in which case Emacs will wait the
entire 20 seconds if no other input is available.

Other than reducing the select timeout, what solution is there?